/**
 * File customize-preview.js.
 *
 * Instantly live-update customizer settings in the preview for improved user experience.
 */

(function($) {
	'use strict';

	function updateCustomColor(styleSelector, newColor) {
		// Update custom color CSS.
		var style = $(styleSelector),
			currentColor = style.data('currentColor'),
			css = style.html();
		// Replace " $currentColor" occurences with " $newColor"
		css = css.split(' ' + currentColor).join(' ' + newColor);
		style.html(css).data('current-color', newColor);
	}

	wp.customize('phone_repair_accent_color', function(value) {
		value.bind(function(to) {
			updateCustomColor('#theme-custom-phone_repair_accent_color', to);
		});
	});
	wp.customize('phone_repair_page_title_background_color', function(value) {
		value.bind(function(to) {
			updateCustomColor('#theme-custom-phone_repair_page_title_background_color', to);
		});
	});
	wp.customize('phone_repair_footer_background_color', function(value) {
		value.bind(function(to) {
			updateCustomColor('#theme-custom-phone_repair_footer_background_color', to);
		});
	});
	wp.customize('phone_repair_footer_bottom_background_color', function(value) {
		value.bind(function(to) {
			updateCustomColor('#theme-custom-phone_repair_footer_bottom_background_color', to);
		});
	});

})(jQuery);
