<?php
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments">
	<?php if ( have_comments() ) : ?>
		<h2 class="comments__title"><?php echo esc_html_x( 'Comments', 'Comments area title.', 'phone-repair' ); ?></h2>
		<ol class="comments__list">
			<?php
				wp_list_comments( array(
					'short_ping'  => true,
					'avatar_size' => 68,
					'format'      => 'html5',
					'type'        => 'comment',
					'callback'    => 'phone_repair_render_comment',
				) );
			?>
		</ol>
	<?php endif; ?>

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<nav class="comments__navigation" role="navigation">
			<h2 class="screen-reader-text"><?php echo esc_html( 'Comment navigation', 'phone-repair' ); ?></h2>
			<?php
			if ( $prev_link = get_previous_comments_link( __( '&larr; Older Comments', 'phone-repair' ) ) ) {
				echo '<div class="comments__prev">' . wp_kses_post( $prev_link ) . '</div>';
			}
			if ( $next_link = get_next_comments_link( __( 'Newer Comments &rarr;', 'phone-repair' ) ) ) {
				echo '<div class="comments__next">' . wp_kses_post( $next_link ) . '</div>';
			}
			?>
		</nav>
	<?php endif ?>

	<?php phone_repair_comment_form() ?>
</div>
