<?php
class Phone_Repair_BEM_Walker_Nav_Menu extends Walker_Nav_Menu {
	function start_lvl( &$output, $depth = 1, $args = array() ) {
		if ( isset( $args->item_spacing ) && 'discard' === $args->item_spacing ) {
			$t = '';
			$n = '';
		} else {
			$t = "\t";
			$n = "\n";
		}
		$indent = str_repeat( $t, $depth );
		$block = isset( $args->block ) ? $args->block : explode( ' ', $args->menu_class );
		$block = is_array( $block ) ? $block[0] : $block;
		$level = $depth + 1;
		$output .= "{$n}{$indent}<ul class=\"${block}__sub-menu ${block}__sub-menu--level-${level} js-${block}__sub-menu\">{$n}";
	}

	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
		$block = isset( $args->block ) ? $args->block : explode( ' ', $args->menu_class );
		$block = is_array( $block ) ? $block[0] : $block;
		if ( $depth ) {
			$classes = array( $block . '__sub-menu-item' );
			if ( $item->current ) {
				$classes[] = $block . '__sub-menu-item--current';
			}
			if ( $item->current_item_ancestor ) {
				$classes[] = $block . '__sub-menu-item--ancestor';
			}
			if ( $item->current_item_parent ) {
				$classes[] = $block . '__sub-menu-item--parent';
			}
			if ( in_array( 'menu-item-has-children', (array) $item->classes, true ) ) {
				$classes[] = $block . '__sub-menu-item--has-sub-menu';
				$classes[] = 'js-' . $block . '__sub-menu-item--has-sub-menu';
			}
		} else {
			$classes = array( $block . '__item' );
			if ( $item->current ) {
				$classes[] = $block . '__item--current';
			}
			if ( $item->current_item_ancestor ) {
				$classes[] = $block . '__item--ancestor';
			}
			if ( $item->current_item_parent ) {
				$classes[] = $block . '__item--parent';
			}
			if ( in_array( 'menu-item-has-children', (array) $item->classes, true ) ) {
				$classes[] = $block . '__item--has-sub-menu';
				$classes[] = 'js-' . $block . '__item--has-sub-menu';
			}
		}
		$item->classes = $classes;
		parent::start_el( $output, $item, $depth, $args, $id );
	}
}

function phone_repair_bem_nav_menu( $location, $block, $extra_class = '' ) {
	wp_nav_menu( array(
		'theme_location' => $location,
		'container' => false,
		'items_wrap' => "<ul class=\"{$extra_class} ${block} js-{$block}\">%3\$s</ul>",
		'fallback_cb' => false,
		'walker' => new Phone_Repair_BEM_Walker_Nav_Menu,
		'block' => $block,
	) );
}
