<?php
use Carbon_Fields\Container;
use Carbon_Fields\Field;

$page_title_enabled_cond = array(
	array(
		'field' => 'phone_repair_hide_page_title',
		'value' => 'yes',
		'compare' => '!=',
	),
);

Container::make( 'post_meta', esc_html__( 'Page settings', 'phone-repair' ) )
	->show_on_post_type( array( 'post', 'page', 'service' ) )
	->set_priority( 'default' )
	->add_tab( esc_html__( 'Page Title', 'phone-repair' ), array(
		Field::make( 'checkbox', 'phone_repair_hide_page_title', esc_html__( 'Hide Page Title', 'phone-repair' ) ),
		Field::make( 'checkbox', 'phone_repair_hide_breadcrumbs', esc_html__( 'Hide Breadcrumbs', 'phone-repair' ) )
			->set_conditional_logic( $page_title_enabled_cond ),
		Field::make( 'select', 'phone_repair_page_title_text_color', esc_html__( 'Text color', 'phone-repair' ) )
			->set_options( array(
				'' => esc_html__( 'Default', 'phone-repair' ),
				'dark' => esc_html__( 'Dark', 'phone-repair' ),
				'light' => esc_html__( 'Light', 'phone-repair' ),
			) )
			->set_conditional_logic( $page_title_enabled_cond ),
		Field::make( 'select', 'phone_repair_page_title_alignment', esc_html__( 'Title alignment', 'phone-repair' ) )
			->set_options( array(
				'' => esc_html__( 'Default', 'phone-repair' ),
				'left' => esc_html__( 'Left', 'phone-repair' ),
				'center' => esc_html__( 'Center', 'phone-repair' ),
				'right' => esc_html__( 'Right', 'phone-repair' ),
			) )
			->set_conditional_logic( $page_title_enabled_cond ),
		Field::make( 'select', 'phone_repair_page_title_vertical_space', esc_html__( 'Vertical spacing', 'phone-repair' ) )
			->set_options( array(
				'' => esc_html__( 'Default', 'phone-repair' ),
				'normal' => esc_html__( 'Normal', 'phone-repair' ),
				'large' => esc_html__( 'Large', 'phone-repair' ),
			) )
			->set_conditional_logic( $page_title_enabled_cond ),
		Field::make( 'image', 'phone_repair_header_image', esc_html__( 'Header image', 'phone-repair' ) )
			->set_value_type( 'url' )
			->set_conditional_logic( $page_title_enabled_cond ),
	) )
	->add_tab( esc_html__( 'Header Options', 'phone-repair' ), array(
		Field::make( 'checkbox', 'phone_repair_transparent_header', esc_html__( 'Transparent header', 'phone-repair' ) )
			->set_default_value( 'no' ),
		Field::make( 'checkbox', 'phone_repair_hide_top_bar', esc_html__( 'Hide top bar', 'phone-repair' ) ),
		Field::make( 'select', 'phone_repair_header_text_color', esc_html__( 'Text color', 'phone-repair' ) )
			->set_options( array(
				'dark' => esc_html__( 'Dark', 'phone-repair' ),
				'light' => esc_html__( 'Light', 'phone-repair' ),
			) ),
	) );
