<?php

// Remove the default WooCommerce breadcrumb.
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20 );

// Remove the default WooCommerce page title.
add_filter( 'woocommerce_show_page_title', '__return_false', 10 );

// Remove the default WooCommerce sidebar.
remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar', 10 );

// Override the default WooCommerce content wrapper.
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10 );
add_action( 'woocommerce_before_main_content', 'phone_repair_woocommerce_before_main_content', 10 );
function phone_repair_woocommerce_before_main_content() {
	if ( is_active_sidebar( 'shop-sidebar' ) ) {
		echo '<div class="main-and-sidebar-wrap">';
	} else {
		echo '<div class="main-wrap">';
	}
	echo '<main class="' . esc_attr( phone_repair_get_main_col_class() ) . '">';
}

remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10 );
add_action( 'woocommerce_after_main_content', 'phone_repair_woocommerce_after_main_content', 10 );
function phone_repair_woocommerce_after_main_content() {
	echo '</main>';
	if ( is_active_sidebar( 'shop-sidebar' ) ) {
		echo '<div class="sidebar-col">';
		dynamic_sidebar( 'shop-sidebar' );
		echo '</div>';
	}
	echo '</div>';
}

// Display Product grid in 3 columns.
add_filter( 'loop_shop_columns', 'phone_repair_loop_shop_columns', 10 );
function phone_repair_loop_shop_columns() {
	return 3;
}

add_filter( 'body_class', 'phone_repair_product_archive_body_class', 10, 2 );
function phone_repair_product_archive_body_class( $classes, $class ) {
	if ( phone_repair_is_product_archive() ) {
		$classes[] = 'columns-3';
	}
	return $classes;
}

// Display 9 products per page.
add_filter( 'loop_shop_per_page', 'phone_repair_loop_shop_per_page', 20 );
function phone_repair_loop_shop_per_page() {
	return 9;
}

// Set same font size for tags in Product Tag Cloud Widget.
add_filter( 'woocommerce_product_tag_cloud_widget_args', 'phone_repair_tag_cloud_args' );
